2018-07-16 17:31 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002239OpenFOAM[All Projects] Bugpublic2018-07-10 11:17
Reporterkevnor 
Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformUnixOSOtherOS Version(please specify)
Product Version4.x 
Target VersionFixed in Versiondev 
Summary0002239: decomposePar -fields duplicates particle positions
DescriptionRunning the utility decomposePar with the "-fields" flag appears to append the positions of the particles to the existing list in lagrangian/sprayCloud rather than overwrite them. This results in a case that is unable to be read by the solver.
Steps To ReproduceFor sprayFoam/aachenBomb tutorial case:
- run to first output 5e-05
- run a "decomposePar", then a "decomposePar -fields" (for any decomposition)
- attempt to start parallel run, "sprayFoam -parallel"

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006884

henry (reporter)

Resolved in OpenFOAM-dev by commit a27eb13ad6179bb5e7df849d43a6c235e63838c2
+Notes

-Issue History
Date Modified Username Field Change
2016-09-08 11:29 kevnor New Issue
2016-09-08 11:29 kevnor Tag Attached: decomposePar particles sprayFoam
2016-09-21 17:21 henry Assigned To => henry
2016-09-21 17:21 henry Status new => resolved
2016-09-21 17:21 henry Resolution open => fixed
2016-09-21 17:21 henry Fixed in Version => dev
2016-09-21 17:21 henry Note Added: 0006884
2018-07-10 11:17 administrator Tag Detached: decomposePar particles sprayFoam
+Issue History